package DE.uni_hamburg.informatik.tech.JavaFSM;
import java.awt.*;
import java.applet.*;
import java.net.URL;
import java.util.Vector;


/**
* <IMG SRC="../doku/images/logo_klein.gif" ALT="JavaFSM"><BR>
* Entwurf und Simulation eines endlichen Automaten zum Schaltwerkdesign<BR>
* Als Parameter werden im HTML-File Beipiele bergeben, die auf dem 
* Server liegen und mit einem CGI-Script geladen werden k&ouml;nnen
*/
public class JavaFSM extends Applet {
	/** Das Hauptfenster */
	private MainFrame frame;
	/** URL vom Server des Applets */
	public URL baseUrl;
	/** Vector mit den Beispielen auf dem Server (Parameter im HTML-File) */
	private Vector beispiele;

	/**
	* startet JavaFSM als Applet (in eigenem Fenster)
	* @see main()
	*/
	public void init() 
	{
		/* Home-URL fr's Laden / Speichern merken */
		baseUrl				= this.getDocumentBase();

		/* Beispiel-Automaten, die als Parameter bergeben werden, einlesen und in beispiele speichern */
		beispiele = new Vector();
		String s1="", s2="";
		int i=1;
		for (;;)
		{
			s1 = getParameter("file"+i);
			s2 = getParameter("passwd"+i);
			if (s1!=null && s2!=null)
			{
				beispiele.addElement(s1);
				beispiele.addElement(s2);
				i++;
			}
			else break;
		}
		/* Instanz von MainFrame (Hauptfenster) */
		frame = new MainFrame(this, "JavaFSM", baseUrl, beispiele);	
		frame.resize(600,470);
		frame.show();
		frame.resize(600,470);
		/* Dialog zum Abfragen des Schaltnetztyps (Mealy/Moore) */
		Dialog mmDialog 	= new MMDialog(frame,"JavaFSM", true);
		mmDialog.resize(300,150);
		mmDialog.show();
		mmDialog.resize(300,150);

	}

	/**
	* startet Java als Applikation
	* @see init()
	*/
	public static void main(String args[])
	{
		JavaFSM myFSM = new JavaFSM();
		/* Home-URL fr's Laden / Speichern merken */
		myFSM.baseUrl	= null;
		/* Beispiel-Automaten, die als Parameter bergeben werden, einlesen und in beispiele speichern */
		myFSM.beispiele = new Vector();
		/* Instanz von MainFrame (Hauptfenster) */
		myFSM.frame = new MainFrame(myFSM, "JavaFSM", myFSM.baseUrl, myFSM.beispiele);	
		myFSM.frame.resize(600,470);
		myFSM.frame.show();
		myFSM.frame.resize(600,470);
		/* Dialog zum Abfragen des Schaltnetztyps (Mealy/Moore) */
		Dialog mmDialog 	= new MMDialog(myFSM.frame,"JavaFSM", true);
		mmDialog.resize(300,150);
		mmDialog.show();
		mmDialog.resize(300,150);

	}
}